import { BaseService, Service } from '@/cool';

@Service('pic')
export class ImgStoreService extends BaseService {
	changeStatus(data) {
		return this.request({
			url: '/change-status',
			method: 'POST',
			data: data
		});
	}

	remark(data) {
		return this.request({
			url: '/remark',
			method: 'POST',
			data: data
		});
	}

	top(data) {
		return this.request({
			url: '/top',
			method: 'POST',
			data: data
		});
	}
	share(data) {
		return this.request({
			url: '/share',
			method: 'GET',
			data: data
		});
	}
}

export default new ImgStoreService();
